#include <stdio.h>
#include <sys/time.h>
#include <sched.h>

long getms(void) {
  struct timeval t;
  gettimeofday(&t, NULL);
  return t.tv_sec * 1024 + t.tv_usec/1024;
}

int main(void) {
  setbuf(stdout, NULL);
  while (1) {
    int c = 0;
    long t0 = getms();
    do {
      c++;
      sched_yield();
    } while (getms()<t0+10);
    printf("%d\n", c);
  }
}
